<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.PaymentRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="paymentRecordResultMap" type="org.springblade.modules.finance.entity.PaymentRecord">
        <id column="id" property="id"/>
        <result column="order_no" property="orderNo"/>
        <result column="payment_type" property="paymentType"/>
        <result column="payment_price" property="paymentPrice"/>
        <result column="create_time" property="createTime"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="response_json" property="responseJson"/>
        <result column="request_json" property="requestJson"/>
        <result column="is_delete" property="isDelete"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
    </resultMap>


    <select id="selectPaymentRecordPage" resultMap="paymentRecordResultMap">
        select * from t_payment_record where is_deleted = 0
    </select>

</mapper>
